<?php
	$registro = (int)$_GET["registro"];

	// Pesquisa usuário na API
	$params['token'] = $_SESSION["usuario"]["api_token"];
	$params['user'] = $registro;
	$api = api('/getUserInfo', $params);
	$api = json_decode($api, 1);


	// Lista todos os usuários
	$users = array();
	$sql = $mysqli->query("SELECT usuario_nome, usuario_tipo, usuario_id FROM usuarios ORDER BY usuario_tipo, usuario_nome ASC");
	while ($u = $sql->fetch_assoc()) {
		$i = count($users[$u["usuario_tipo"]]);
		$ti = $u["usuario_tipo"];
		$users["$ti"][$i]["id"] = $u["usuario_id"];
		$users["$ti"][$i]["nome"] = utf8_encode($u["usuario_nome"]);
		$users["$ti"][$i]["tipo"] = $u["usuario_tipo"];
	}

	$managers = $users["4"];
	unset($users["4"]);

	$sql = $mysqli->query("SELECT * FROM grades ORDER BY grade_nome");
?>